Bug 1641575 - dyn-reload: read the config file line by line instead of allocating a fixed 32K buffer
Summary: dyn-reload: read the config file line by line instead of allocating a fixed 3...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-block
Version: ocs-3.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: OCS 3.11.1
Assignee: Xiubo Li
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: OCS-3.11.1-devel-triage-done 1644154
TreeView+ depends on / blocked
 
Reported: 2018-10-22 08:49 UTC by Prasanna Kumar Kalever
Modified: 2019-02-08 07:19 UTC (History)
12 users (show)

Fixed In Version: gluster-block-0.2.1-29.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 03:38:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0285 0 None None None 2019-02-07 03:38:49 UTC

Description Prasanna Kumar Kalever 2018-10-22 08:49:29 UTC
Description of problem:

read /etc/tcmu/tcmu.conf config file line by line instead of allocating a fixed 32K buffer and dumping everything there.

Comment 2 Prasanna Kumar Kalever 2018-10-22 08:51:08 UTC
PR: https://github.com/gluster/gluster-block/pull/123

Comment 12 errata-xmlrpc 2019-02-07 03:38:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0285

Comment 13 RamaKasturi 2019-02-08 07:19:11 UTC
Marking the test coverage as '-' based on comment 4.


Note You need to log in before you can comment on or make changes to this bug.